#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "DBDBaseInputHandler.generated.h"

class APawn;
class USpringArmComponent;

UCLASS(Blueprintable)
class UDBDBaseInputHandler : public UObject
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	APawn* _pawn;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, Instanced)
	USpringArmComponent* _cameraBoom;

public:
	UDBDBaseInputHandler();
};

FORCEINLINE uint32 GetTypeHash(const UDBDBaseInputHandler) { return 0; }
